export default class BaseFilterSchema {
    constructor({ name, value, defaultValue, get, set, restore, multiple, ...rest }?: {
        value?: string;
        defaultValue?: string;
        get?: string[];
        set?: string[];
        restore?: string[];
        multiple?: boolean;
    });
    setupGetters(getters: any): void;
    requireRouter: boolean;
    get: any;
    setupSetters(setters: any): void;
    set: any;
    setupRestores(restores: any): void;
    restore: any;
}
